body {
  font-family: 'Raleway', sans-serif;
  font-weight: 300;
}

a {
  color:#AF9573;
}

.capital-txt {
  font-weight: 400;
  letter-spacing: 4.5px;
}

.right-align {
  text-align: right;
}

@media (max-width: 991px) {
  .right-align {
    text-align: center;
  }
  .heading-img {
    width: 70%;
    margin-top: 30px;
  }
}

.heading-img {
  width: 35rem;
}

.left-align {
  text-align: left;
}

.gold-btn {
  background-color: #AF9573;
  color: #ffff;
}

.grey-btn {
  background-color: #3A3D47;
  color: #ffff;
}

.blue-btn {
  background-color: #30617a;
  color: #ffff;
}

.heading-btn {
  border-radius: 129px;
  width: 45%;
}

.l-button-spacing {
  padding-left: 20px;
}

/* Heading bars */
.contact-bar {
  background-color: #30617A;
  display: flex;
  justify-content: flex-end;
}

.detail-bar {
  display: inline;
  margin: 0;
}

.detail-item {
  color:  #E6F2F8;
}

.navbar-color {
  background-color: #EDF4F8;
  height: 75px;
  position: sticky;
  top: 0;
  z-index: 20;
  padding: 0 4rem;
}

.center-element {
  position: absolute;
  top: 110%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.center-element-size {
  height: 13rem;
}

.nav-item {
  font-family: 'Raleway', sans-serif;
  padding-top: 0.5625rem;
}

.right-nav {
  position: absolute;
  right: 0;
}

/* heading section */
.heading-section {
  padding: 3rem 4rem 2rem;
}

.main-heading-txt {
  font-family: 'Fiorina Grande Regular';
  text-transform: uppercase;
  font-size: 5.5rem;
  padding-top: 10%;
  color: #B7D1E9;

}

.second-heading-txt{
  font-family: 'Tangerine', cursive;
  font-size: 5.5rem;
  color: #B7D1E9;
}

.heading-txt {
  font-family: 'Tangerine', cursive;
  font-size: 4rem;
  color: #B7D1E9;
  padding-left:	3.75rem;
  padding-top: 1.3%;
}


/* Associated companies section */
.company-section {
  display: flex;
  align-items: center;
  justify-content: center;
}

.company-logo {
  height: 15rem;
  width: 15rem;
  padding: 1rem;
  object-fit: contain;
}


/* footer */
.footer {
  text-align: center;
  position: relative;
}

.copyright-txt {
  position: absolute;
  top: 45%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: #f6f5ff;
}

.footer-img {
  height: 14rem;
  object-fit: cover;
  width: 100%;
}


/* BOOKING RULES PAGE */
.booking-rules-padd {
  padding: 0rem 4rem 2rem;
  text-align: justify;
}

@media (min-width:992px) {
  .booking-info {
    padding-right: 30px;
  }
}

.rules-btn{
  border-radius: 129px;
  width: 25rem;
}

@media (max-width: 992px) {
  .rules-btn {
    margin-top: 20px;
  }
}
.rules-pg-img {
  width: 97%;
  object-fit: cover;
}


/* Amenities */
.amenities-img {
  width: 97%;
  object-fit: cover;
}


.amenities-area {
  padding: 0rem 4rem 5%;
}

.amenities-btn {
  border-radius: 129px;
  width: 25rem;
  margin-top: 40px;
}


/* Gallery */
.horizontal-list li {
  display: inline;
}

.colored-section {
  background-color: rgb(246,245,255, 0.5);
  background-image: url("https://www.transparenttextures.com/patterns/brushed-alum-dark.png");
  padding-bottom: 1.4%;
}

.gallery-bg {
  z-index: -10;
  height: 300px;
  position: absolute;
  right: 0;
}

.top-img {
  opacity: 10%;
  position: absolute;
  left: 0;
  top: 20rem;
  z-index: -40;
}

.carousel {
  height: fit-content;
}

/* Imported CSS from previous */
.large-img {
  max-height: 31.125rem;
  max-width: 23.3125rem;
  position: relative;
  left: 50%;
  top: 50%;
  transform: translate(-50%, 0%);
}
.gallery-img {
  max-height: 31.125rem;
  max-width: 41.500rem;
  position: relative;
  left: 50%;
  top: 50%;
  transform: translate(-50%, 0%);
}

.large-edit {
  max-height: 31.125rem;
  max-width: 31.125rem;
  position: relative;
  left: 50%;
  top: 50%;
  transform: translate(-50%, 0%);
}

@media (max-width: 661px) {
  .large-img {
    max-height: 270px;
    max-width: 202px;
  }
  .large-edit {
    max-height: 270px;
    max-width: 270px;
  }
  .gallery-img {
    max-height: 270px;
    max-width: 270px;
  }
}

@media (max-width:991px) {
  .center-element {
    display: none;
  }
  .navbar-color {
    height: fit-content;
  }
  .right-nav {
    position: relative;
  }
  .gallery-bg {
    display: none;
  }
}

@media (min-width: 768px) {
  .mdl-textfield {
    width: 90%;
  }
  
  /* For the div that has both these classes */
  .mdl-textfield.contact-textarea {
    width: 95%;
  }
}

/* reviews section */
.reviews-section{
  background-color: rgb(58,61,71, 0.3);
}


/* contact section */
.contact-bg {
  opacity:30%;
  position: absolute;
  right: 0;
}

#contact-section {
  position: relative;
}

.form {
  padding: 0 20%;
}

.contact-btn {
  width: 15rem;
}

.b24-form {
  padding-left:	3.75rem;
}


.starfish-img {
  position: absolute;
  left: 0;
  bottom: 0;
  opacity: 30%;
  z-index: -10;
}

.relative {
  position: relative;
  top: 20rem;
}


/* location page */
.google-map {
  height: 40rem;
  width: 50rem;
  padding: 0rem 3.75rem 5%;
}

.property-access {
  padding-right: 4rem;
  text-align: justify;
}

@media (max-width:911px) {
  .property-access {
    padding-left: 4rem;
    padding-bottom: 5%;
  }
}

@media (max-width: 1309px) {
  .google-map {
    width: 100%;
  }
}



/* Style the Image Used to Trigger the Modal */
#myImg {
  border-radius: 5px;
  cursor: pointer;
  transition: 0.3s;
}

#myImg:hover {opacity: 0.7;}

/* The Modal (background) */
.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  padding-top: 150px; /* Location of the box */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.9); /* Black w/ opacity */
}

/* Modal Content (Image) */
.modal-content {
  margin: auto;
  display: block;
  width: 80%;
  max-width: 700px;
}

/* Caption of Modal Image (Image Text) - Same Width as the Image */
#caption {
  margin: auto;
  display: block;
  width: 80%;
  max-width: 700px;
  text-align: center;
  color: #ccc;
  padding: 10px 0;
  height: 150px;
}

/* Add Animation - Zoom in the Modal */
.modal-content, #caption {
  animation-name: zoom;
  animation-duration: 0.6s;
}

@keyframes zoom {
  from {transform:scale(0)}
  to {transform:scale(1)}
}

/* The Close Button */
.close {
  position: absolute;
  /* top: 55px; */
  top: 100px;
  /* top: 15px; */
  right: 35px;
  color: #f1f1f1;
  font-size: 40px;
  font-weight: bold;
  transition: 0.3s;
}

.close:hover,
.close:focus {
  color: #bbb;
  text-decoration: none;
  cursor: pointer;
}

/* 100% Image Width on Smaller Screens */
@media only screen and (max-width: 700px){
  .modal-content {
    width: 100%;
  }
}


/* ALERT BTN ON BOOKING PAGE */


/* The alert message box */
.alert {
  z-index: 100;
  padding: 20px;
  background-color: #162329;
  color: white;
  position: absolute;
  width: 100%;
}

/* The close button */
.closebtn {
  margin-left: 15px;
  color: white;
  font-weight: bold;
  float: right;
  font-size: 22px;
  line-height: 20px;
  cursor: pointer;
  transition: 0.3s;
}

/* When moving the mouse over the close button */
.closebtn:hover {
  color: black;
}
